Index: trunk/SophyaProg/PMixer/Makefile
===================================================================
--- trunk/SophyaProg/PMixer/Makefile	(revision 3875)
+++ trunk/SophyaProg/PMixer/Makefile	(revision 3879)
@@ -39,6 +39,43 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)Sph2Sph.o $(SOPHYAEXTSLBLIST)
  
-$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)easyTest.o: easyTest.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)trianglefilt.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  easyTest.cc
+ 
+$(SOPHYAOBJP)extractRS.o: extractRS.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -111,42 +148,10 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  Sph2Sph.cc
- 
-$(SOPHYAOBJP)easyTest.o: easyTest.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)blackbody.h \
-  $(SOPHYAINCP)radspec.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)convtools.h \
-  $(SOPHYAINCP)radspecvector.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)specrespvector.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)squarefilt.h \
-  $(SOPHYAINCP)gaussfilt.h \
-  $(SOPHYAINCP)trianglefilt.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  easyTest.cc
- 
-$(SOPHYAOBJP)extractRS.o: extractRS.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extractRS.cc
+ 
+$(SOPHYAOBJP)skymixer.o: skymixer.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -219,8 +224,10 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extractRS.cc
- 
-$(SOPHYAOBJP)skymixer.o: skymixer.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymixer.cc
+ 
+$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -293,8 +300,10 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymixer.cc
- 
-$(SOPHYAOBJP)tgrsr.o: tgrsr.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  Sph2Sph.cc
+ 
+$(SOPHYAOBJP)tgrsr.o: tgrsr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -369,6 +378,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tgrsr.cc
  
-$(SOPHYAOBJP)tgsky.o: tgsky.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)tgsky.o: tgsky.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
Index: trunk/SophyaProg/PMixer/smakefile
===================================================================
--- trunk/SophyaProg/PMixer/smakefile	(revision 3875)
+++ trunk/SophyaProg/PMixer/smakefile	(revision 3879)
@@ -39,6 +39,43 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)Sph2Sph.o $(SOPHYAEXTSLBLIST)
  
-$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)easyTest.o: easyTest.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)trianglefilt.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  easyTest.cc
+ 
+$(SOPHYAOBJP)extractRS.o: extractRS.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -111,42 +148,10 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  Sph2Sph.cc
- 
-$(SOPHYAOBJP)easyTest.o: easyTest.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)blackbody.h \
-  $(SOPHYAINCP)radspec.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)convtools.h \
-  $(SOPHYAINCP)radspecvector.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)specrespvector.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)squarefilt.h \
-  $(SOPHYAINCP)gaussfilt.h \
-  $(SOPHYAINCP)trianglefilt.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  easyTest.cc
- 
-$(SOPHYAOBJP)extractRS.o: extractRS.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extractRS.cc
+ 
+$(SOPHYAOBJP)skymixer.o: skymixer.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -219,8 +224,10 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extractRS.cc
- 
-$(SOPHYAOBJP)skymixer.o: skymixer.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymixer.cc
+ 
+$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -293,8 +300,10 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymixer.cc
- 
-$(SOPHYAOBJP)tgrsr.o: tgrsr.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  Sph2Sph.cc
+ 
+$(SOPHYAOBJP)tgrsr.o: tgrsr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -369,6 +378,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tgrsr.cc
  
-$(SOPHYAOBJP)tgsky.o: tgsky.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)tgsky.o: tgsky.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
